Subject: bug#49660: 28.0.50; json-available-p should exist

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 20 Jul 2021 15:43:42 +0200

Eli Zaretskii <[email-masked]> writes:

> Compile json.c always, but have a HAVE_LIBJANSSON preprocessor symbol
> that would effectively ifdef away all of json.c except that single
> function (and syms_of_json).

Yeah, I guess there's really no other cleanish way to do this?  And it's
the pattern we follow in all the other library-specific src/*.c files, I
think...

So unless somebody protests (or beats me to it), I'll do this in a few
days.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no